Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 552838 - www-apps/websvn : Remove deprecated depend.php functions
Summary: www-apps/websvn : Remove deprecated depend.php functions
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Web Application Packages Maintainers
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: 552836
  Show dependency tree
 
Reported: 2015-06-22 15:07 UTC by Brian Evans
Modified: 2016-08-15 13:03 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
websvn-2.3.3-r1.ebuild (websvn-2.3.3-r1.ebuild,1.06 KB, text/plain)
2016-07-11 22:40 UTC, Michael Orlitzky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2015-06-22 15:07:16 UTC
www-apps/websvn is using functions that are not deprecated and should be removed.
The list below are the functions and suggested resolutions

need_php_httpd : Use {,R}DEPEND="virtual/httpd-php"

has_php : No longer has any value and is not sustainable.  Only bails
out when PHP is not installed, which deps should take care of, most
other variables set no longer exist; Remove the call

require_php_with_use : Use EAPI2 USE dependencies instead.  As USE
change, builds randomly fail and are not checked by repoman
Comment 1 Michael Orlitzky gentoo-dev 2016-07-11 22:40:56 UTC
Created attachment 440396 [details]
websvn-2.3.3-r1.ebuild

Here's an ebuild with EAPI=6 and without depend.php. Seems to do about the same thing.
Comment 2 Brian Evans Gentoo Infrastructure gentoo-dev 2016-08-15 13:03:22 UTC
Fixed in the tree